net.sf.jasperreports.engine

## Interface JRPrintText

- All Superinterfaces:
    JRAlignment, JRBoxContainer, JRCommonElement, JRCommonText, JRFont, JRIdentifiable, JRParagraphContainer, JRPrintAnchor, JRPrintElement, JRPrintHyperlink, JRPropertiesHolder, JRStyleContainer, TextFormat
  All Known Implementing Classes:
    JRBasePrintText, JRRecordedValuesPrintText, JRTemplatePrintText

      public interface JRPrintText
      extends JRPrintElement, JRAlignment, JRPrintAnchor, JRPrintHyperlink, JRFont, JRCommonText, TextFormat

  Version:
    $Id: JRPrintText.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static short[]` | `ZERO_LINE_BREAK_OFFSETS` Zero-length line break offset array used for `getLineBreakOffsets()` when the text does not have any line breaks.

    - ### Fields inherited from interface net.sf.jasperreports.engine.JRPrintElement

      `UNSET_PRINT_ELEMENT_ID, UNSET_SOURCE_ELEMENT_ID`

    - ### Fields inherited from interface net.sf.jasperreports.engine.JRPrintHyperlink

      `PROPERTY_IGNORE_HYPERLINK_SUFFIX`

    - ### Fields inherited from interface net.sf.jasperreports.engine.JRFont

      `DEFAULT_FONT_NAME, DEFAULT_FONT_SIZE, DEFAULT_PDF_EMBEDDED, DEFAULT_PDF_ENCODING, DEFAULT_PDF_FONT_NAME`

    - ### Fields inherited from interface net.sf.jasperreports.engine.JRCommonText

      `MARKUP_HTML, MARKUP_NONE, MARKUP_RTF, MARKUP_STYLED_TEXT`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `JRFont` | `getFont()` Deprecated.
    `java.lang.String` | `getFormatFactoryClass()` Returns the name of the class implementing the `FormatFactory` interface to use with this text element, in case it is not the same as the one for the overall document.
    `JRStyledText` | `getFullStyledText(JRStyledTextAttributeSelector attributeSelector)` Returns the full styled text of this object.
    `java.lang.String` | `getFullText()` Returns the full (not truncated) text of this object.
    `float` | `getLeadingOffset()`
    `short[]` | `getLineBreakOffsets()` Returns the line break offsets for the text if saved during report fill.
    `float` | `getLineSpacingFactor()`
    `java.lang.String` | `getLocaleCode()` Returns the code of the `java.util.Locale` which was used while formatting the source value of the text.
    `java.lang.String` | `getOriginalText()` Returns the original text that was set in this object.
    `LineSpacingEnum` | `getOwnLineSpacingValue()` Deprecated. Replaced by `JRParagraph.getOwnLineSpacing()`.
    `java.lang.String` | `getOwnMarkup()`
    `RotationEnum` | `getOwnRotationValue()` Gets the text own rotation.
    `java.lang.String` | `getPattern()` Returns the pattern used to format a value that was the source of this text.
    `RunDirectionEnum` | `getRunDirectionValue()` Gets the text run direction.
    `JRStyledText` | `getStyledText(JRStyledTextAttributeSelector attributeSelector)` Deprecated. Replaced by `JRStyledTextUtil.getStyledText(JRPrintText, JRStyledTextAttributeSelector)`.
    `java.lang.String` | `getText()` Deprecated. Replaced by `JRStyledTextUtil.getTruncatedText(JRPrintText)`.
    `float` | `getTextHeight()`
    `java.lang.Integer` | `getTextTruncateIndex()` Returns the index to which this object's text is to be truncated.
    `java.lang.String` | `getTextTruncateSuffix()` Returns the suffix that is to be appended to the truncated text (as returned by `JRStyledTextUtil.getTruncatedText(JRPrintText)`.
    `java.lang.String` | `getTimeZoneId()` Returns the `ID` of the `java.util.TimeZone` used to format this text's date source value.
    `java.lang.Object` | `getValue()`
    `java.lang.String` | `getValueClassName()` Returns the type of the value which was used to generate this text.
    `void` | `setFont(JRFont font)` Deprecated.
    `void` | `setLeadingOffset(float leadingOffset)`
    `void` | `setLineBreakOffsets(short[] lineBreakOffsets)` Sets the line break offsets for the text.
    `void` | `setLineSpacing(LineSpacingEnum lineSpacing)` Deprecated. Replaced by `JRParagraph.setLineSpacing(LineSpacingEnum)`.
    `void` | `setLineSpacingFactor(float lineSpacingFactor)`
    `void` | `setMarkup(java.lang.String markup)`
    `void` | `setRotation(RotationEnum rotationEnum)` Sets the text rotation.
    `void` | `setRunDirection(RunDirectionEnum runDirectionEnum)` Sets the text run direction.
    `void` | `setText(java.lang.String text)` Set the text for this object.
    `void` | `setTextFormat(TextFormat textFormat)`
    `void` | `setTextHeight(float textHeight)`
    `void` | `setTextTruncateIndex(java.lang.Integer index)` Sets the index to which this object's text is to be truncated.
    `void` | `setTextTruncateSuffix(java.lang.String suffix)` Sets the suffix to be appended to the truncated text.
    `void` | `setValue(java.lang.Object value)`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRPrintElement

      `accept, getHeight, getKey, getOrigin, getPrintElementId, getSourceElementId, getWidth, getX, getY, setHeight, setStyle, setUUID, setWidth, setX, setY`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRPropertiesHolder

      `getParentProperties, getPropertiesMap, hasProperties`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRIdentifiable

      `getUUID`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRAlignment

      `getHorizontalAlignmentValue, getOwnHorizontalAlignmentValue, getOwnVerticalAlignmentValue, getVerticalAlignmentValue, setHorizontalAlignment, setVerticalAlignment`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRPrintAnchor

      `getAnchorName, getBookmarkLevel, setAnchorName, setBookmarkLevel`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRPrintHyperlink

      `getHyperlinkAnchor, getHyperlinkPage, getHyperlinkParameters, getHyperlinkReference, getHyperlinkTargetValue, getHyperlinkTooltip, getHyperlinkTypeValue, getLinkTarget, getLinkType, setHyperlinkAnchor, setHyperlinkPage, setHyperlinkParameters, setHyperlinkReference, setHyperlinkTarget, setHyperlinkTooltip, setHyperlinkType, setLinkTarget, setLinkType`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRFont

      `getFontName, getFontsize, getFontSize, getOwnFontName, getOwnFontsize, getOwnFontSize, getOwnPdfEncoding, getOwnPdfFontName, getPdfEncoding, getPdfFontName, isBold, isItalic, isOwnBold, isOwnItalic, isOwnPdfEmbedded, isOwnStrikeThrough, isOwnUnderline, isPdfEmbedded, isStrikeThrough, isUnderline, setBold, setBold, setFontName, setFontSize, setFontSize, setFontSize, setItalic, setItalic, setPdfEmbedded, setPdfEmbedded, setPdfEncoding, setPdfFontName, setStrikeThrough, setStrikeThrough, setUnderline, setUnderline`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRCommonText

      `getFontsize, getFontSize, getLineSpacingValue, getMarkup, getRotationValue`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRCommonElement

      `getBackcolor, getForecolor, getModeValue, getOwnBackcolor, getOwnForecolor, getOwnModeValue, setBackcolor, setForecolor, setMode`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRBoxContainer

      `getDefaultLineColor, getLineBox`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRParagraphContainer

      `getParagraph`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRStyleContainer

      `getDefaultStyleProvider, getStyle, getStyleNameReference`

- - ### Field Detail

    - #### ZERO_LINE_BREAK_OFFSETS

          static final short[] ZERO_LINE_BREAK_OFFSETS

      Zero-length line break offset array used for `getLineBreakOffsets()` when the text does not have any line breaks.

  - ### Method Detail

    - #### getText

          java.lang.String getText()

      Deprecated. Replaced by `JRStyledTextUtil.getTruncatedText(JRPrintText)`.
      Returns the possibly truncated (when `getTextTruncateIndex()` is not null) text of this object.
      Returns:
        the text of this object
      See Also:
        `getFullText()`, `getTextTruncateSuffix()`

    - #### setText

          void setText(java.lang.String text)

      Set the text for this object.
      Parameters:
        `text` - the text
      See Also:
        `setTextTruncateIndex(Integer)`

    - #### getValue

          java.lang.Object getValue()

    - #### setValue

          void setValue(java.lang.Object value)

    - #### getTextTruncateIndex

          java.lang.Integer getTextTruncateIndex()

      Returns the index to which this object's text is to be truncated. This index is usually set at report fill time when the engine is instructed to keep the full text in the print text object.
      Returns:
        the index to which this object's text is to be truncated
      See Also:
        `JRTextElement.PROPERTY_PRINT_KEEP_FULL_TEXT`, `getTextTruncateSuffix()`

    - #### setTextTruncateIndex

          void setTextTruncateIndex(java.lang.Integer index)

      Sets the index to which this object's text is to be truncated. The test is truncated when `JRStyledTextUtil.getTruncatedText(JRPrintText)` or `getStyledText(JRStyledTextAttributeSelector)` are called.
      Parameters:
        `index` - the index to which this object's text is to be truncated

    - #### getTextTruncateSuffix

          java.lang.String getTextTruncateSuffix()

      Returns the suffix that is to be appended to the truncated text (as returned by `JRStyledTextUtil.getTruncatedText(JRPrintText)`.
      Returns:
        the truncated text suffix
      See Also:
        `JRTextElement.PROPERTY_TRUNCATE_SUFFIX`

    - #### setTextTruncateSuffix

          void setTextTruncateSuffix(java.lang.String suffix)

      Sets the suffix to be appended to the truncated text.
      Parameters:
        `suffix` - the suffix to be appended to the truncated text
      See Also:
        `getTextTruncateSuffix()`

    - #### getFullText

          java.lang.String getFullText()

      Returns the full (not truncated) text of this object.
      Returns:
        the full text of this object
      See Also:
        `JRStyledTextUtil.getTruncatedText(JRPrintText)`, `getTextTruncateIndex()`

    - #### getOriginalText

          java.lang.String getOriginalText()

      Returns the original text that was set in this object.
      Returns:
        the original text

    - #### getStyledText

          JRStyledText getStyledText(JRStyledTextAttributeSelector attributeSelector)

      Deprecated. Replaced by `JRStyledTextUtil.getStyledText(JRPrintText, JRStyledTextAttributeSelector)`.
      Returns the styled text for this object. The text is truncated according to `JRStyledTextUtil.getTruncatedText(JRPrintText)`.
      Parameters:
        `attributeSelector` - the styled text attribute selector
      Returns:
        the possibly truncated styled text for this object

    - #### getFullStyledText

          JRStyledText getFullStyledText(JRStyledTextAttributeSelector attributeSelector)

      Returns the full styled text of this object.
      Parameters:
        `attributeSelector` - the styled text attribute selector
      Returns:
        the full styled text of this object
      See Also:
        `getFullText()`

    - #### setTextFormat

          void setTextFormat(TextFormat textFormat)

    - #### getLineSpacingFactor

          float getLineSpacingFactor()

    - #### setLineSpacingFactor

          void setLineSpacingFactor(float lineSpacingFactor)

    - #### getLeadingOffset

          float getLeadingOffset()

    - #### setLeadingOffset

          void setLeadingOffset(float leadingOffset)

    - #### getOwnRotationValue

          RotationEnum getOwnRotationValue()

      Gets the text own rotation.
      Specified by:
        `getOwnRotationValue` in interface `JRCommonText`
      Returns:
        a value representing one of the text rotation constants in `RotationEnum`

    - #### setRotation

          void setRotation(RotationEnum rotationEnum)

      Sets the text rotation.
      Specified by:
        `setRotation` in interface `JRCommonText`
      Parameters:
        `rotationEnum` - a value representing one of the text rotation constants in `RotationEnum`

    - #### getRunDirectionValue

          RunDirectionEnum getRunDirectionValue()

      Gets the text run direction.
      Returns:
        a value representing one of the run direction constants in `RunDirectionEnum`

    - #### setRunDirection

          void setRunDirection(RunDirectionEnum runDirectionEnum)

      Sets the text run direction.
      Parameters:
        `runDirectionEnum` - a value representing one of the text run direction constants in `RunDirectionEnum`

    - #### getTextHeight

          float getTextHeight()

    - #### setTextHeight

          void setTextHeight(float textHeight)

    - #### getOwnLineSpacingValue

          LineSpacingEnum getOwnLineSpacingValue()

      Deprecated. Replaced by `JRParagraph.getOwnLineSpacing()`.
      Specified by:
        `getOwnLineSpacingValue` in interface `JRCommonText`

    - #### setLineSpacing

          void setLineSpacing(LineSpacingEnum lineSpacing)

      Deprecated. Replaced by `JRParagraph.setLineSpacing(LineSpacingEnum)`.
      Specified by:
        `setLineSpacing` in interface `JRCommonText`

    - #### getOwnMarkup

          java.lang.String getOwnMarkup()

      Specified by:
        `getOwnMarkup` in interface `JRCommonText`

    - #### setMarkup

          void setMarkup(java.lang.String markup)

      Specified by:
        `setMarkup` in interface `JRCommonText`

    - #### getFont

          JRFont getFont()

      Deprecated.

    - #### setFont

          void setFont(JRFont font)

      Deprecated.

    - #### getValueClassName

          java.lang.String getValueClassName()

      Returns the type of the value which was used to generate this text.

      `Text fields` that have a non-`String` expression save the value type using this attribute. This information can be used by exporters to treat numerical or date texts (for instance) in a special manner.

      Specified by:
        `getValueClassName` in interface `TextFormat`
      Returns:
        the type of the original value used to generate the text

    - #### getPattern

          java.lang.String getPattern()

      Returns the pattern used to format a value that was the source of this text.

      The pattern can be used to parse the text back to its source value.

      Specified by:
        `getPattern` in interface `TextFormat`
      Returns:
        the pattern used to format this text's source value
      See Also:
        `getValueClassName()`

    - #### getFormatFactoryClass

          java.lang.String getFormatFactoryClass()

      Returns the name of the class implementing the `FormatFactory` interface to use with this text element, in case it is not the same as the one for the overall document.
      Specified by:
        `getFormatFactoryClass` in interface `TextFormat`

    - #### getLocaleCode

          java.lang.String getLocaleCode()

      Returns the code of the `java.util.Locale` which was used while formatting the source value of the text.

      The code is created using the `java.util.Locale.toString()` convention.

      When this attribute is null, the locale returned by `JasperPrint.getLocaleCode()` is used. This way, the locale is specified in a single place when all the (or many ) texts from a print object were formatted using the same locale.

      Specified by:
        `getLocaleCode` in interface `TextFormat`
      Returns:
        the code of the `java.util.Locale` used when formatting this text's source value

    - #### getTimeZoneId

          java.lang.String getTimeZoneId()

      Returns the `ID` of the `java.util.TimeZone` used to format this text's date source value.

      When this attribute is null, the time zone returned by `JasperPrint.getTimeZoneId()` is used.

      Specified by:
        `getTimeZoneId` in interface `TextFormat`
      Returns:
        the `ID` of the `java.util.TimeZone` used to format this text's date source value

    - #### getLineBreakOffsets

          short[] getLineBreakOffsets()

      Returns the line break offsets for the text if saved during report fill.

      The array of offsets is incremental, each offset adds to the previous value. I.e. the positions at which line breaks occur are `offset[0]`, `offset[0] + offset[1]`, `offset[0] + offset[1] + offset[2]` and so on.

      This array does not include positions for explicit line breaks in the text, i.e. for line breaks that occur due to new line characters in the text. The array only includes line break positions within a paragraph in the text.

      If the text was meant to have saved line break offsets but no (non explicit) breaks were detected (e.g. if the text is a single line), this method will return a zero-length array. If the text was not meant to include saved line breaks, the method will return `null`.

      Returns:
        the line break offsets (possibly zero-length array), or `null` if no line break positions were saved during the fill
      See Also:
        `JRTextElement.PROPERTY_SAVE_LINE_BREAKS`

    - #### setLineBreakOffsets

          void setLineBreakOffsets(short[] lineBreakOffsets)

      Sets the line break offsets for the text.
      Parameters:
        `lineBreakOffsets` - the line break offsets
      See Also:
        `getLineBreakOffsets()`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com